package org.avmdti.sound.example;

import org.avmdti.sound.AudioFormatFactory;
import org.avmdti.sound.SoundRecorder;

/**
 * 
 * <b>Description :</b>
 * 
 * 
 * <p>Projet : enregistreur <BR>
 * 
 * <br>
 * <b>JOSAST</b> : Java Open Source Amateur Satellite  Toolbox 
 * <br>The aim of the project is to create a set of tools for amateur satellite purpose. All this tools could be used together to create specific software.
 * <b>JOSAST</b> project is managed by AVMDTI (<A HREF="http://www.avmdti.org">http://www.avmdti.org </a> )
 * <br> This software is an open source software. Please read the <b><i>JOSAST licence</b></i><BR>(<A HREF="http://www.avmdti.org">http://www.avmdti.org </a> )
 * <p>for more information contact <a href="mailto:josast@avmdti.org">josast@avmdti.org</a></p>
 * @author  <a href="mailto:mercier.josast@avmdti.org">mercier</a>
 * @version 1.0
 * <p><b>date </b>7 janv. 2004</p>
 * <p><b><i> Source Update </b></i></p>
 * <br> date : name : comments 
 * <br> V1 : mercier : create file
 * <p>
 * 
 */
public class DemoSoudRecorder {

	public static void main(String[] args) {
		SoundRecorder SR = new SoundRecorder("test",AudioFormatFactory.getAudioFormat(AudioFormatFactory.MONO8BITPCM));
		System.out.println("debut");
		SR.record(100);		
		System.out.println("end");
		SR.close();		
		System.out.println("fini");
			
	}
}
